<?xml version='1.0' encoding='utf-8'?>
<widget id="jp.go.nta.taxApp" android-versionCode="27" version="7.0.0" xmlns="http://www.w3.org/ns/widgets" 
xmlns:cdv="http://cordova.apache.org/ns/1.0" xmlns:android="http://schemas.android.com/apk/res/android">
    <!-- <name>NtaApp</name> -->
    <!-- Mac・iOSビルド時には下記に切り替える必要あり -->
    <name>令和８年分 年末調整控除申告書作成用ソフトウェア</name>
    <!-- R7 年送り対応 MOD START-->
    <!-- R8 年送り対応 MOD START-->
    <display-version>7.0.0</display-version>
    <!-- R8 年送り対応 MOD END-->
    <!-- R7 年送り対応 MOD END-->
    <description>
        A sample Apache Cordova application that responds to the deviceready event.
    </description>
    <author email="dev@cordova.apache.org" href="http://cordova.io">
        Apache Cordova Team
    </author>
    <content src="index.html" />
    <access origin="*" />
    <access origin="cdvfile://*" />
    <allow-intent href="http://*/*" />
    <allow-intent href="https://*/*" />
    <allow-intent href="tel:*" />
    <allow-intent href="sms:*" />
    <allow-intent href="mailto:*" />
    <allow-intent href="geo:*" />
    <platform name="android">
        <!--R5 改修事項一覧 #60 MOD START-->
        <!--<name>令和5年分年末調整アプリVer4.0.0</name>-->
        <!-- R7 年送り対応 MOD START-->
        <!-- R8 年送り対応 MOD START-->
        <name>令和８年分 年末調整控除申告書作成用ソフトウェア</name>
        <!-- R8 年送り対応 MOD END-->
        <!-- R7 年送り対応 MOD END-->
        <!--R5 改修事項一覧 #60 MOD END-->
        <allow-intent href="market:*" />
        <preference name="LoadUrlTimeoutValue" value="120000" />
        <config-file target="AndroidManifest.xml" parent="/*">
            <queries>
                <package android:name="jp.go.jpki.mobile.utility" />
                <intent>
                    <action android:name="android.intent.action.SENDTO" />
                    <data android:scheme="mailto"/>
                </intent>
                <intent>
                    <action android:name="android.intent.action.VIEW" />
                    <data android:scheme="https"/>
                </intent>
            </queries>
            <queries>
                <package android:name="jp.go.cas.mpa" />
                <intent>
                    <action android:name="android.intent.action.VIEW" />
                    <data android:scheme="https"/>
                </intent>
            </queries>
        </config-file>
        <!-- R5 ADD START -->
        <config-file target="AndroidManifest.xml" parent="/manifest/application">
            <provider android:authorities="${applicationId}.provider" android:exported="false" android:grantUriPermissions="true" android:name="androidx.core.content.FileProvider">
                <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/provider_paths" />
            </provider>
            <provider android:authorities="${applicationId}.opener.provider" android:exported="false" android:grantUriPermissions="true" android:name="io.github.pwlin.cordova.plugins.fileopener2.FileProvider">
                <meta-data android:name="android.support.FILE_PROVIDER_PATHS" android:resource="@xml/opener_paths" />
            </provider>
        </config-file>
        <!-- R5 ADD END -->
        <!-- R5 脆弱性診断対応 #3 ADD START -->
        <edit-config file="AndroidManifest.xml" mode="merge" target="/manifest/application">
            <!-- R5 脆弱性診断対応 #12 MOD START -->
            <!-- <application android:allowBackup="false" /> -->
            <application android:allowBackup="false" android:usesCleartextTraffic="false" android:networkSecurityConfig="@xml/network_security_config" />
            <!-- R5 脆弱性診断対応 #12 MOD END -->
        </edit-config>
        <!-- R5 脆弱性診断対応 #3 ADD END -->
        <icon src="res/icon/android/icon-36-ldpi.png" density="ldpi" />
        <icon src="res/icon/android/icon-48-mdpi.png" density="mdpi" />
        <icon src="res/icon/android/icon-72-hdpi.png" density="hdpi" />
        <icon src="res/icon/android/icon-96-xhdpi.png" density="xhdpi" />
        
        <splash src="res/screen/android/splash-land-hdpi.png" density="land-hdpi"/>
        <splash src="res/screen/android/splash-land-ldpi.png" density="land-ldpi"/>
        <splash src="res/screen/android/splash-land-mdpi.png" density="land-mdpi"/>
        <splash src="res/screen/android/splash-land-xhdpi.png" density="land-xhdpi"/>
        <splash src="res/screen/android/splash-land-xxhdpi.png" density="land-xxhdpi"/>
        <splash src="res/screen/android/splash-land-xxxhdpi.png" density="land-xxxhdpi"/>

        <splash src="res/screen/android/splash-port-hdpi.png" density="port-hdpi"/>
        <splash src="res/screen/android/splash-port-ldpi.png" density="port-ldpi"/>
        <splash src="res/screen/android/splash-port-mdpi.png" density="port-mdpi"/>
        <splash src="res/screen/android/splash-port-xhdpi.png" density="port-xhdpi"/>
        <splash src="res/screen/android/splash-port-xxhdpi.png" density="port-xxhdpi"/>
        <splash src="res/screen/android/splash-port-xxxhdpi.png" density="port-xxxhdpi"/>

        <splash src="res/screen/android/splash-port-hdpi.png" density="hdpi"/>
        <splash src="res/screen/android/splash-port-ldpi.png" density="ldpi"/>
        <splash src="res/screen/android/splash-port-mdpi.png" density="mdpi"/>
        <splash src="res/screen/android/splash-port-xhdpi.png" density="xhdpi"/>
        <splash src="res/screen/android/splash-port-xxhdpi.png" density="xxhdpi"/>
        <splash src="res/screen/android/splash-port-xxxhdpi.png" density="xxxhdpi"/>
    </platform>
    <platform name="ios">
        <allow-intent href="itms:*" />
        <allow-intent href="itms-apps:*" />
        <config-file platform="ios" target="*-Info.plist" parent="UIFileSharingEnabled">
            <true/>
        </config-file>
        <config-file platform="ios" target="*-Info.plist" parent="LSSupportsOpeningDocumentsInPlace">
            <true/>
        </config-file>
        <config-file platform="ios" target="*-Info.plist" parent="CFBundleDisplayName">
            <!--R5 改修事項一覧 #60 MOD START-->
            <!--<string>令和5年分年末調整アプリVer4.0.0</string>-->
            <!-- R7 年送り対応 MOD START-->
            <!-- R8 年送り対応 MOD START-->
            <string>令和８年分 年末調整控除申告書作成用ソフトウェア</string>
            <!-- R8 年送り対応 MOD END-->
            <!-- R7 年送り対応 MOD END-->
            <!--R5 改修事項一覧 #60 MOD END-->
        </config-file>
        <custom-preference 
            name="ios-XCBuildConfiguration-GCC_PREPROCESSOR_DEFINITIONS" 
            value="DEBUG=1 HAVE_INTTYPES_H HAVE_PKCRYPT HAVE_STDINT_H HAVE_WZAES HAVE_ZLIB" 
            buildType="debug"
            xcconfigEnforce="false" />
        <custom-preference 
            name="ios-XCBuildConfiguration-GCC_PREPROCESSOR_DEFINITIONS" 
            value="HAVE_INTTYPES_H HAVE_PKCRYPT HAVE_STDINT_H HAVE_WZAES HAVE_ZLIB" 
            buildType="release"
            xcconfigEnforce="false" />
        <custom-preference
            name="ios-XCBuildConfiguration-IPHONEOS_DEPLOYMENT_TARGET"
            value="13.0"
            xcconfigEnforce="false" />
        <custom-config-file parent="CFBundleDevelopmentRegion" target="*-Info.plist" mode="replace">
            <string>ja_JP</string>
        </custom-config-file>
        <custom-config-file parent="UISupportedInterfaceOrientations" target="*-Info.plist" mode="replace">
            <array>
                <string>UIInterfaceOrientationPortrait</string>
            </array>
        </custom-config-file>
        <custom-config-file parent="UISupportedInterfaceOrientations~ipad" target="*-Info.plist" mode="replace">
            <array>
                <string>UIInterfaceOrientationPortrait</string>
            </array>
        </custom-config-file>
        <!--R5  Xcode14.3移行対応 ADD START-->
        <custom-preference
            name="ios-XCBuildConfiguration-SWIFT_VERSION"
            value="5" />
        <!--R5  Xcode14.3移行対応 ADD END-->
        <!-- iOS 8.0+ -->
        <!-- iPhone 6 Plus  -->
        <icon src="res/icon/ios/icon-60@3x.png" width="180" height="180" />
        <!-- iOS 7.0+ -->
        <!-- iPhone / iPod Touch  -->
        <icon src="res/icon/ios/icon-60.png" width="60" height="60" />
        <icon src="res/icon/ios/icon-60@2x.png" width="120" height="120" />
        <!-- iOS 6.1 -->
        <icon src="res/icon/ios/icon-20.png" width="20" height="20" />
        <!-- Spotlight Icon -->
        <icon src="res/icon/ios/icon-40.png" width="40" height="40" />
        <icon src="res/icon/ios/icon-40@2x.png" width="80" height="80" />
        <!-- iPhone / iPod Touch -->
        <icon src="res/icon/ios/icon.png" width="57" height="57" />
        <icon src="res/icon/ios/icon@2x.png" width="114" height="114" />
        <!-- iPhone Spotlight and Settings Icon -->
        <icon src="res/icon/ios/icon-small.png" width="29" height="29" />
        <icon src="res/icon/ios/icon-small@2x.png" width="58" height="58" />
        <icon src="res/icon/ios/icon-small@3x.png" width="87" height="87" />

        <!-- iPad Icon -->
        <icon src="res/icon/ios/icon-50.png" width="50" height="50" />
        <icon src="res/icon/ios/icon-50@2x.png" width="100" height="100" />
        <icon src="res/icon/ios/icon-72.png" width="72" height="72" />
        <icon src="res/icon/ios/icon-72@2x.png" width="144" height="144" />
        <icon src="res/icon/ios/icon-76.png" width="76" height="76" />
        <icon src="res/icon/ios/icon-76@2x.png" width="152" height="152" />
        <icon src="res/icon/ios/icon-83.5@2x.png" width="167" height="167" />
        <icon src="res/icon/ios/icon-1024x1024.png" width="1024" height="1024" />


        <splash src="res/screen/ios/Default@2x~universal~anyany.png" />
        <splash src="res/screen/ios/Default@2x~universal~comany.png" />
        <splash src="res/screen/ios/Default@2x~universal~comcom.png" />
        <splash src="res/screen/ios/Default@3x~universal~anyany.png" />
        <splash src="res/screen/ios/Default@3x~universal~anycom.png" />
        <splash src="res/screen/ios/Default@3x~universal~comany.png" />

        <splash src="res/screen/ios/Default@2x~iphone~comany.png" />
        <splash src="res/screen/ios/Default@2x~iphone~comcom.png" />
        <splash src="res/screen/ios/Default@3x~iphone~anycom.png" />
        <splash src="res/screen/ios/Default@3x~iphone~comany.png" />
    </platform>
    <platform name="windows">
        <!--R5 改修事項一覧 #60 MOD START-->
        <!--<name>令和5年分年末調整アプリVer4.0.0</name>-->
        <!-- R7 年送り対応 MOD START-->
        <!-- R8 年送り対応 MOD START-->
        <name>令和８年分 年末調整控除申告書作成用ソフトウェア</name>
        <!-- R8 年送り対応 MOD END-->
        <!-- R7 年送り対応 MOD END-->
        <!--R5 改修事項一覧 #60 MOD END-->
        <preference name="windows-target-version" value="10.0" />
        <config-file parent="/Package/Capabilities" target="package.appxmanifest">
            <uap:Capability Name="sharedUserCertificates" />
        </config-file>
        <icon src="res/icon/windows/StoreLogo.png" target="StoreLogo" />
        <icon src="res/icon/windows/Square30x30Logo.png" target="Square30x30Logo" />
        <icon src="res/icon/windows/Square44x44Logo.png" target="Square44x44Logo" />
        <icon src="res/icon/windows/Square70x70Logo.png" target="Square70x70Logo" />
        <icon src="res/icon/windows/Square71x71Logo.png" target="Square71x71Logo" />
        <icon src="res/icon/windows/Square150x150Logo.png" target="Square150x150Logo" />
        <icon src="res/icon/windows/Square310x310Logo.png" target="Square310x310Logo" />
        <icon src="res/icon/windows/Wide310x150Logo.png" target="Wide310x150Logo" />
        <splash src="res/screen/windows/splashscreen.png" target="SplashScreen"/>
    </platform>
    <platform name="osx">
        <!-- Mac・iOSビルド時には下記に切り替える必要あり -->
        <name>令和８年分 年末調整控除申告書作成用ソフトウェア</name>
        <config-file target="*-Info.plist" overwrite="true" parent="LSApplicationCategoryType">
            <string>public.app-category.utilities</string>
        </config-file>
        <config-file target="*-Info.plist" overwrite="true" parent="CFBundleDevelopmentRegion">
            <string>ja_JP</string>
        </config-file>
        <icon src="res/icon/osx/icon-16x16.png" width="16" height="16" />
        <icon src="res/icon/osx/icon-32x32.png" width="32" height="32" />
        <icon src="res/icon/osx/icon-64x64.png" width="64" height="64" />
        <icon src="res/icon/osx/icon-128x128.png" width="128" height="128" />
        <icon src="res/icon/osx/icon-256x256.png" width="256" height="256" />
        <icon src="res/icon/osx/icon-512x512.png" width="512" height="512" />
        <icon src="res/icon/osx/icon-1024x1024.png" width="1024" height="1024" />
    </platform>
    <preference name="Orientation" value="portrait" />
    <preference name="WindowsDefaultUriPrefix" value="ms-appx-web://" />
    <engine name="windows" spec="~6.0.0" />
    <engine name="browser" spec="~5.0.4" />
    <engine name="osx" spec="^5.0.0" />
    <engine name="ios" spec="^6.1.0" />
    <engine name="android" spec="^10.1.2" />
    <plugin name="cordova-sqlite-storage" spec="7.0.0" />
    <plugin name="cordova-plugin-device" spec="^2.0.2" />
    <plugin name="cordova-plugin-file" spec="8.1.3" />
    <plugin name="cordova-plugin-file-opener2" spec="4.0.0" />
    <plugin name="cordova-plugin-email-composer" spec="0.9.2" />
    <plugin name="cordova-plugin-splashscreen" spec="6.0.2" />
    <plugin name="cordova-plugin-inappbrowser" spec="5.0.0" />

    <hook type="after_prepare" src="scripts/afterPrepare.js" />
</widget>
